Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class RegistryEntryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryObjectTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryEntryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RegistryEntryType, RegistryObjectType

Direct Known Subclasses:
  ClassificationSchemeTypeImpl, ExtrinsicObjectTypeImpl, RegistryPackageTypeImpl, ServiceTypeImpl

    public class RegistryEntryTypeImpl

extends RegistryObjectTypeImpl
implements RegistryEntryType

An implementation of the model object 'Registry Entry Type'.

The following features are implemented:

- `Expiration`
- `Major Version`
- `Minor Version`
- `Stability`
- `Status`
- `User Version`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.Object` | `getExpiration()`
`java.math.BigInteger` | `getMajorVersion()`
`java.math.BigInteger` | `getMinorVersion()`
`StabilityType` | `getStability()`
`StatusType` | `getStatus()`
`java.lang.String` | `getUserVersion()`
`boolean` | `isSetMajorVersion()`
`boolean` | `isSetMinorVersion()`
`boolean` | `isSetStability()`
`boolean` | `isSetStatus()`
`void` | `setExpiration(java.lang.Object newExpiration)`
`void` | `setMajorVersion(java.math.BigInteger newMajorVersion)`
`void` | `setMinorVersion(java.math.BigInteger newMinorVersion)`
`void` | `setStability(StabilityType newStability)`
`void` | `setStatus(StatusType newStatus)`
`void` | `setUserVersion(java.lang.String newUserVersion)`
`java.lang.String` | `toString()`
`void` | `unsetMajorVersion()`
`void` | `unsetMinorVersion()`
`void` | `unsetStability()`
`void` | `unsetStatus()`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryObjectTypeImpl
`basicSetDescription, basicSetName, eInverseRemove, getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getExpiration

    public java.lang.Object getExpiration()

  Specified by:
    `getExpiration` in interface `RegistryEntryType`
  Returns:
    the value of the 'Expiration' attribute.
  See Also:
    `RegistryEntryType.setExpiration(Object)`, `RimPackage.getRegistryEntryType_Expiration()`

### setExpiration

    public void setExpiration(java.lang.Object newExpiration)

  Specified by:
    `setExpiration` in interface `RegistryEntryType`
  Parameters:
    `newExpiration` - the new value of the 'Expiration' attribute.
  See Also:
    `RegistryEntryType.getExpiration()`

### getMajorVersion

    public java.math.BigInteger getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `RegistryEntryType`
  Returns:
    the value of the 'Major Version' attribute.
  See Also:
    `RegistryEntryType.isSetMajorVersion()`, `RegistryEntryType.unsetMajorVersion()`, `RegistryEntryType.setMajorVersion(BigInteger)`, `RimPackage.getRegistryEntryType_MajorVersion()`

### setMajorVersion

    public void setMajorVersion(java.math.BigInteger newMajorVersion)

  Specified by:
    `setMajorVersion` in interface `RegistryEntryType`
  Parameters:
    `newMajorVersion` - the new value of the 'Major Version' attribute.
  See Also:
    `RegistryEntryType.isSetMajorVersion()`, `RegistryEntryType.unsetMajorVersion()`, `RegistryEntryType.getMajorVersion()`

### unsetMajorVersion

    public void unsetMajorVersion()

  Specified by:
    `unsetMajorVersion` in interface `RegistryEntryType`
  See Also:
    `RegistryEntryType.isSetMajorVersion()`, `RegistryEntryType.getMajorVersion()`, `RegistryEntryType.setMajorVersion(BigInteger)`

### isSetMajorVersion

    public boolean isSetMajorVersion()

  Specified by:
    `isSetMajorVersion` in interface `RegistryEntryType`
  Returns:
    whether the value of the 'Major Version' attribute is set.
  See Also:
    `RegistryEntryType.unsetMajorVersion()`, `RegistryEntryType.getMajorVersion()`, `RegistryEntryType.setMajorVersion(BigInteger)`

### getMinorVersion

    public java.math.BigInteger getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `RegistryEntryType`
  Returns:
    the value of the 'Minor Version' attribute.
  See Also:
    `RegistryEntryType.isSetMinorVersion()`, `RegistryEntryType.unsetMinorVersion()`, `RegistryEntryType.setMinorVersion(BigInteger)`, `RimPackage.getRegistryEntryType_MinorVersion()`

### setMinorVersion

    public void setMinorVersion(java.math.BigInteger newMinorVersion)

  Specified by:
    `setMinorVersion` in interface `RegistryEntryType`
  Parameters:
    `newMinorVersion` - the new value of the 'Minor Version' attribute.
  See Also:
    `RegistryEntryType.isSetMinorVersion()`, `RegistryEntryType.unsetMinorVersion()`, `RegistryEntryType.getMinorVersion()`

### unsetMinorVersion

    public void unsetMinorVersion()

  Specified by:
    `unsetMinorVersion` in interface `RegistryEntryType`
  See Also:
    `RegistryEntryType.isSetMinorVersion()`, `RegistryEntryType.getMinorVersion()`, `RegistryEntryType.setMinorVersion(BigInteger)`

### isSetMinorVersion

    public boolean isSetMinorVersion()

  Specified by:
    `isSetMinorVersion` in interface `RegistryEntryType`
  Returns:
    whether the value of the 'Minor Version' attribute is set.
  See Also:
    `RegistryEntryType.unsetMinorVersion()`, `RegistryEntryType.getMinorVersion()`, `RegistryEntryType.setMinorVersion(BigInteger)`

### getStability

    public StabilityType getStability()

  Specified by:
    `getStability` in interface `RegistryEntryType`
  Returns:
    the value of the 'Stability' attribute.
  See Also:
    `StabilityType`, `RegistryEntryType.isSetStability()`, `RegistryEntryType.unsetStability()`, `RegistryEntryType.setStability(StabilityType)`, `RimPackage.getRegistryEntryType_Stability()`

### setStability

    public void setStability(StabilityType newStability)

  Specified by:
    `setStability` in interface `RegistryEntryType`
  Parameters:
    `newStability` - the new value of the 'Stability' attribute.
  See Also:
    `StabilityType`, `RegistryEntryType.isSetStability()`, `RegistryEntryType.unsetStability()`, `RegistryEntryType.getStability()`

### unsetStability

    public void unsetStability()

  Specified by:
    `unsetStability` in interface `RegistryEntryType`
  See Also:
    `RegistryEntryType.isSetStability()`, `RegistryEntryType.getStability()`, `RegistryEntryType.setStability(StabilityType)`

### isSetStability

    public boolean isSetStability()

  Specified by:
    `isSetStability` in interface `RegistryEntryType`
  Returns:
    whether the value of the 'Stability' attribute is set.
  See Also:
    `RegistryEntryType.unsetStability()`, `RegistryEntryType.getStability()`, `RegistryEntryType.setStability(StabilityType)`

### getStatus

    public StatusType getStatus()

  Specified by:
    `getStatus` in interface `RegistryEntryType`
  Returns:
    the value of the 'Status' attribute.
  See Also:
    `StatusType`, `RegistryEntryType.isSetStatus()`, `RegistryEntryType.unsetStatus()`, `RegistryEntryType.setStatus(StatusType)`, `RimPackage.getRegistryEntryType_Status()`

### setStatus

    public void setStatus(StatusType newStatus)

  Specified by:
    `setStatus` in interface `RegistryEntryType`
  Parameters:
    `newStatus` - the new value of the 'Status' attribute.
  See Also:
    `StatusType`, `RegistryEntryType.isSetStatus()`, `RegistryEntryType.unsetStatus()`, `RegistryEntryType.getStatus()`

### unsetStatus

    public void unsetStatus()

  Specified by:
    `unsetStatus` in interface `RegistryEntryType`
  See Also:
    `RegistryEntryType.isSetStatus()`, `RegistryEntryType.getStatus()`, `RegistryEntryType.setStatus(StatusType)`

### isSetStatus

    public boolean isSetStatus()

  Specified by:
    `isSetStatus` in interface `RegistryEntryType`
  Returns:
    whether the value of the 'Status' attribute is set.
  See Also:
    `RegistryEntryType.unsetStatus()`, `RegistryEntryType.getStatus()`, `RegistryEntryType.setStatus(StatusType)`

### getUserVersion

    public java.lang.String getUserVersion()

  Specified by:
    `getUserVersion` in interface `RegistryEntryType`
  Returns:
    the value of the 'User Version' attribute.
  See Also:
    `RegistryEntryType.setUserVersion(String)`, `RimPackage.getRegistryEntryType_UserVersion()`

### setUserVersion

    public void setUserVersion(java.lang.String newUserVersion)

  Specified by:
    `setUserVersion` in interface `RegistryEntryType`
  Parameters:
    `newUserVersion` - the new value of the 'User Version' attribute.
  See Also:
    `RegistryEntryType.getUserVersion()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryObjectTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryObjectTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryObjectTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryObjectTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RegistryObjectTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD